All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.commands.dataselectors
Class ExportSelectorCommand

    com.sas.commands.dataselectors.ExportSelectorCommand

All Implemented Interfaces:
  CommandSupportedInterface, CancelInterface, ContentsChangedInterface, DataSelectorCommandInterface, DynamicAttributeCommandInterface, PendingCommandInterface, BaseEntityInterface, BaseEntityValueInterface, EntityKeyInterface, com.sas.lang.StringDataInterface, com.sas.PublicClonable, com.sas.util.Command, com.sas.util.SimpleCommand, java.lang.Cloneable, java.rmi.Remote

    public class ExportSelectorCommand

implements CommandSupportedInterface

This class handles the data exporting operations in conjunction with the Export Selector.

The command processes actions, via the Action Provider Framework, as they are initiated by the visual in response to user input. Actions include show, process, commit, and cancel. Each action causes a corresponding method on this command to be invoked.

The show action creates an instance of `ExportSelectorInterface` to provide to the visual so that the Export Selector can be displayed to the user.

The commit action is invoked when the user leaves the selector visual by pressing the OK button. Depending on the wanted output type (CSV, TSV, HTML etc.) an instance of the specific export command is retrieved through a command factory and then executed according to the user inputs.

The cancel action is invoked when the user leaves the selector visual by pressing the Cancel button. There is no specific processing by this command for the cancel action.

The process action is not used by this command.

Since:
  3.1

Field Summary
`java.lang.String[]` | `columns` The indexes of the columns to export.
`java.lang.String[]` | `cssMediaList` The media attributes of the CSSs to be exported together with the data.
`java.lang.String[]` | `cssMIMEType` The MIME types of the CSSs to be exported together with the data.
`java.lang.String[]` | `cssTitle` The title attributes of the CSSs to be exported together with the data.
`java.lang.String[]` | `cssURL` The URLs of the CSSs to be exported together with the data.
`java.lang.String[]` | `footers` The footers to export below the data.
`java.lang.String` | `formatted` If the data have to be exported formatted or non formatted.
`java.lang.String[]` | `headers` The headers to export above the data.
`protected com.sas.util.log.CommonLoggerInterface` | `log`
`java.lang.String` | `outputType` The requested exporting format.
`java.lang.String` | `repeatLabels` If the row labels must be repeated or not in the exported data when the model is expanded.
`java.lang.String` | `rows` If all or a subset of the rows in the model have to be exported.
`java.lang.String` | `whichColumns` Which columns have to be exported, either 'A' all columns in dataset', or 'D' all currently displayed columns or 'S' selected columns

Fields inherited from class com.sas.commands.dataselectors.BaseSelectorCommand
`actionClass, CANCEL_MODE, COMMIT_MODE, complete, contentsChanged, eventInfo, eventSource, modal, mode, model, PROCESS_MODE, selector, selectorModel, SHOW_MODE`

Fields inherited from interface com.sas.commands.DynamicAttributeCommandInterface
`COMMAND_NAME_PREFIX`

Constructor Summary
`ExportSelectorCommand()` Default constructor.
`ExportSelectorCommand(java.lang.String name)` Constructor that accepts a command name.
`ExportSelectorCommand(java.lang.String name, java.lang.String actionClass)` Constructor that accepts a command name and an action class.

Method Summary
`protected void` | `commit(java.lang.Object o)`
`java.lang.String[]` | `getColumns()` Returns the indexes of the columns to export.
`java.lang.String[]` | `getCssMediaList()` Returns the media attributes of the CSSs to be exported together with the data.
`java.lang.String[]` | `getCssMIMEType()` Returns the MIME types of the CSSs to be exported together with the data.
`java.lang.String[]` | `getCssTitle()` Returns the title attributes of the CSSs to be exported together with the data.
`java.lang.String[]` | `getCssURL()` Returns the URLs of the CSSs to be exported together with the data.
`int` | `getEndRow()` Returns the ordinal in the model of the last row to be exported.
`java.lang.String[]` | `getFooters()` Returns the footers to export below the data.
`java.lang.String` | `getFormatted()` Returns if the data have to be exported formatted or non formatted.
`java.lang.String[]` | `getHeaders()` Returns the headers to export above the data.
`java.lang.String` | `getOutputType()` Returns the exporting format.
`java.lang.String` | `getRepeatLabels()` Returns if the row labels must be repeated or not in the exported data when the model is expanded.
`java.lang.String` | `getRows()` Returns if all or a subset of the rows in the model have to be exported.
`int` | `getStartRow()` Returns the ordinal in the model of the first row to be exported.
`java.lang.String` | `getWhichColumns()`
`boolean` | `isSupported(ActionSupportFilter actionFilter)` Returns a boolean indicating whether the command is supported for the given area as specified by the current area information encapsulated in the ActionSupportFilter.
`void` | `setColumns(java.lang.String[] columns)` Sets the indexes of the columns to export.
`void` | `setCssMediaList(java.lang.String[] value)` Sets the media attributes of the CSSs to be exported together with the data.
`void` | `setCssMIMEType(java.lang.String[] value)` Sets the MIME types of the CSSs to be exported together with the data.
`void` | `setCssTitle(java.lang.String[] value)` Sets the title attributes of the CSSs to be exported together with the data.
`void` | `setCssURL(java.lang.String[] value)` Sets the URLs of the CSSs to be exported together with the data.
`void` | `setEndRow(int value)` Sets the ordinal of the model of the last row to be exported.
`void` | `setFooters(java.lang.String[] footers)` Sets the footers to export below the data.
`void` | `setFormatted(java.lang.String value)` Sets if the data have to be exported formatted or non formatted.
`void` | `setHeaders(java.lang.String[] headers)` Sets the headers to export above the data.
`void` | `setOutputType(java.lang.String value)` Sets the exporting format.
`void` | `setRepeatLabels(java.lang.String value)` Sets if the row labels must be repeated or not in the exported data when the model is expanded.
`void` | `setRows(java.lang.String value)` Sets if all or a subset of the rows in the model have to be exported.
`void` | `setStartRow(int value)` Sets the ordinal of the model of the first row to be exported.
`void` | `setWhichColumns(java.lang.String value)`
`protected void` | `show(java.lang.Object o)`

Methods inherited from class com.sas.commands.dataselectors.BaseSelectorCommand
`cancel, cancel, closeSelector, execute, getEventInfo, getEventSource, getMode, getModel, getSelector, getSelectorModel, isComplete, isContentsChanged, isModal, process, setComplete, setModal, setMode, setModel, setSelector, setSelectorModel`

Methods inherited from class com.sas.commands.BaseCommand
`getLocale, getName, getNextCommandName, getText, isExecutable, isUndoable, setLocale, setName, setText, undo`

Methods inherited from class com.sas.entities.BaseEntity
`clone, containsAttributeNamed, equals, equals, getAttribute, getAttribute, getAttributeCount, getAttributes, getEntityKey, getPropertyDescriptors, getStringAttribute, listAttributeNames, removeAllAttributes, removeAttribute, reset, sameEntity, setAttribute, setAttributes, setEntityKey, toString`

Methods inherited from interface com.sas.entities.BaseEntityValueInterface
`getAttribute, setAttribute`

Methods inherited from interface com.sas.util.Command
`clone`

Field Detail

### outputType

    public java.lang.String outputType

  The requested exporting format.

### rows

    public java.lang.String rows

  If all or a subset of the rows in the model have to be exported.

### formatted

    public java.lang.String formatted

  If the data have to be exported formatted or non formatted.

### repeatLabels

    public java.lang.String repeatLabels

  If the row labels must be repeated or not in the exported data when the model is expanded.

### cssURL

    public java.lang.String[] cssURL

  The URLs of the CSSs to be exported together with the data. Used only for HTML exporting format.

### cssMIMEType

    public java.lang.String[] cssMIMEType

  The MIME types of the CSSs to be exported together with the data. Used only for HTML exporting format.

### cssMediaList

    public java.lang.String[] cssMediaList

  The media attributes of the CSSs to be exported together with the data. Used only for HTML exporting format.

### cssTitle

    public java.lang.String[] cssTitle

  The title attributes of the CSSs to be exported together with the data. Used only for HTML exporting format.

### columns

    public java.lang.String[] columns

  The indexes of the columns to export.

### whichColumns

    public java.lang.String whichColumns

  Which columns have to be exported, either 'A' all columns in dataset', or 'D' all currently displayed columns or 'S' selected columns

### headers

    public java.lang.String[] headers

  The headers to export above the data.

### footers

    public java.lang.String[] footers

  The footers to export below the data.

### log

    protected com.sas.util.log.CommonLoggerInterface log

Constructor Detail

### ExportSelectorCommand

    public ExportSelectorCommand()

  Default constructor.

### ExportSelectorCommand

    public ExportSelectorCommand(java.lang.String name)

  Constructor that accepts a command name.

  Parameters:
    `name` - the command name.

### ExportSelectorCommand

    public ExportSelectorCommand(java.lang.String name,
                                 java.lang.String actionClass)

  Constructor that accepts a command name and an action class.

  Parameters:
    `name` - the command name.
    `actionClass` - the action class.

Method Detail

### show

    protected void show(java.lang.Object o)

  Overrides:
    `show` in class `BaseSelectorCommand`

### commit

    protected void commit(java.lang.Object o)
                   throws java.io.IOException

  Overrides:
    `commit` in class `BaseSelectorCommand`
  Throws:
    `java.io.IOException`

### isSupported

    public boolean isSupported(ActionSupportFilter actionFilter)

  Description copied from interface: `CommandSupportedInterface`

  Returns a boolean indicating whether the command is supported for the given area as specified by the current area information encapsulated in the ActionSupportFilter.

  Specified by:
    `isSupported` in interface `CommandSupportedInterface`
  Parameters:
    `actionFilter` - The ActionSupportFilter that encapsulates all the necessary information to describe the current area.
  Returns:
    a boolean indicating whether the command is supported
  See Also:
    `BaseAction.setReturnStatus(int)`

### getOutputType

    public java.lang.String getOutputType()

  Returns the exporting format.

  Returns:
    String the exporting format.

### setOutputType

    public void setOutputType(java.lang.String value)

  Sets the exporting format.

  Parameters:
    `value` - the exporting format.
  See Also:
    `ExportSelectorInterface.EXCEL_TSV_OUTPUT_TYPE`, `ExportSelectorInterface.EXCEL_CSV_OUTPUT_TYPE`, `ExportSelectorInterface.EXCEL_XML_OUTPUT_TYPE`, `ExportSelectorInterface.EXCEL_HTML_OUTPUT_TYPE`, `ExportSelectorInterface.WORD_HTML_OUTPUT_TYPE`

### getRows

    public java.lang.String getRows()

  Returns if all or a subset of the rows in the model have to be exported.

  Returns:
    String if all or a subset of the rows in the model have to be exported.
  See Also:
    `ExportSelectorInterface.ALL_ROWS`, `ExportSelectorInterface.PARTIAL_ROWS`

### setRows

    public void setRows(java.lang.String value)

  Sets if all or a subset of the rows in the model have to be exported.

  Parameters:
    `value` - if all or a subset of the rows in the model have to be exported.
  See Also:
    `ExportSelectorInterface.ALL_ROWS`, `ExportSelectorInterface.PARTIAL_ROWS`

### getStartRow

    public int getStartRow()

  Returns the ordinal in the model of the first row to be exported.

  Returns:
    int the ordinal in the model of the first row to be exported.

### setStartRow

    public void setStartRow(int value)

  Sets the ordinal of the model of the first row to be exported.

  Parameters:
    `value` - the ordinal of the model of the first row to be exported.

### getEndRow

    public int getEndRow()

  Returns the ordinal in the model of the last row to be exported.

  Returns:
    int the ordinal in the model of the last row to be exported.

### setEndRow

    public void setEndRow(int value)

  Sets the ordinal of the model of the last row to be exported.

  Parameters:
    `value` - the ordinal of the model of the last row to be exported.

### getFormatted

    public java.lang.String getFormatted()

  Returns if the data have to be exported formatted or non formatted.

  Returns:
    String if the data have to be exported formatted or non formatted.
  See Also:
    `ExportSelectorInterface.FORMATTED_DATA`, `ExportSelectorInterface.RAW_DATA`

### setFormatted

    public void setFormatted(java.lang.String value)

  Sets if the data have to be exported formatted or non formatted.

  Parameters:
    `value` - if the data have to be exported formatted or non formatted.
  See Also:
    `ExportSelectorInterface.FORMATTED_DATA`, `ExportSelectorInterface.RAW_DATA`

### getRepeatLabels

    public java.lang.String getRepeatLabels()

  Returns if the row labels must be repeated or not in the exported data when the model is expanded.

  Returns:
    String if the row labels must be repeated or not in the exported data when the model is expanded.
  See Also:
    `ExportSelectorInterface.REPEAT_ROW_LABELS`, `ExportSelectorInterface.NOT_REPEAT_ROW_LABELS`

### setRepeatLabels

    public void setRepeatLabels(java.lang.String value)

  Sets if the row labels must be repeated or not in the exported data when the model is expanded.

  Parameters:
    `value` - if the row labels must be repeated or not in the exported data when the model is expanded.
  See Also:
    `ExportSelectorInterface.REPEAT_ROW_LABELS`, `ExportSelectorInterface.NOT_REPEAT_ROW_LABELS`

### getCssURL

    public java.lang.String[] getCssURL()

  Returns the URLs of the CSSs to be exported together with the data.

  Returns:
    String[] the URLs of the CSSs to be exported together with the data.

### setCssURL

    public void setCssURL(java.lang.String[] value)

  Sets the URLs of the CSSs to be exported together with the data.

  Parameters:
    `value` - the URLs of the CSSs to be exported together with the data.

### getCssMIMEType

    public java.lang.String[] getCssMIMEType()

  Returns the MIME types of the CSSs to be exported together with the data.

  Returns:
    String[] the MIME types of the CSSs to be exported together with the data.

### setCssMIMEType

    public void setCssMIMEType(java.lang.String[] value)

  Sets the MIME types of the CSSs to be exported together with the data.

  Parameters:
    `value` - the MIME types of the CSSs to be exported together with the data.

### getCssMediaList

    public java.lang.String[] getCssMediaList()

  Returns the media attributes of the CSSs to be exported together with the data.

  Returns:
    String[] the media attributes of the CSSs to be exported together with the data.

### setCssMediaList

    public void setCssMediaList(java.lang.String[] value)

  Sets the media attributes of the CSSs to be exported together with the data.

  Parameters:
    `value` - the media attributes of the CSSs to be exported together with the data.

### getCssTitle

    public java.lang.String[] getCssTitle()

  Returns the title attributes of the CSSs to be exported together with the data.

  Returns:
    String[] the title attributes of the CSSs to be exported together with the data.

### setCssTitle

    public void setCssTitle(java.lang.String[] value)

  Sets the title attributes of the CSSs to be exported together with the data.

  Parameters:
    `value` - the title attributes of the CSSs to be exported together with the data.

### setColumns

    public void setColumns(java.lang.String[] columns)

  Sets the indexes of the columns to export.

  Parameters:
    `columns` - the indexes of the columns to export.

### getColumns

    public java.lang.String[] getColumns()

  Returns the indexes of the columns to export.

  Returns:
    the indexes of the columns to export.

### setWhichColumns

    public void setWhichColumns(java.lang.String value)

### getWhichColumns

    public java.lang.String getWhichColumns()

### setHeaders

    public void setHeaders(java.lang.String[] headers)

  Sets the headers to export above the data.

  Parameters:
    `headers` - the headers to export above the data.

### getHeaders

    public java.lang.String[] getHeaders()

  Returns the headers to export above the data.

  Returns:
    the headers to export above the data.

### getFooters

    public java.lang.String[] getFooters()

  Returns the footers to export below the data.

  Returns:
    the footers to export below the data.

### setFooters

    public void setFooters(java.lang.String[] footers)

  Sets the footers to export below the data.

  Parameters:
    `footers` - the headers to export below the data.

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.